Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.start
Class Version

    java.lang.Object
      org.mortbay.start.Version

    public class Version

extends Object

Utility class for parsing and comparing version strings. JDK 1.1 compatible.

Author:
  Jan Hlavat�

Constructor Summary
`Version()`
`Version(String version_string)`

Method Summary
`int` | `compare(Version other)` Compares with other version.
`boolean` | `isInRange(Version low, Version high)` Check whether this verion is in range of versions specified
`void` | `parse(String version_string)` parses version string in the form version[.revision[.subrevision[extension]]] into this instance.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version()

### Version

    public Version(String version_string)

Method Detail

### parse

    public void parse(String version_string)

  parses version string in the form version[.revision[.subrevision[extension]]] into this instance.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    string representation of this version

### compare

    public int compare(Version other)

  Compares with other version. Does not take extension into account, as there is no reliable way to order them.

  Returns:
    -1 if this is older version that other, 0 if its same version, 1 if it's newer version than other

### isInRange

    public boolean isInRange(Version low,
                             Version high)

  Check whether this verion is in range of versions specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.